[xmonad] xmonad development (was: something in particular)

Rogan Creswick creswick at gmail.com
Wed Nov 9 23:59:17 CET 2011

On Wed, Nov 9, 2011 at 9:27 AM, Anthony Campbell <ac at acampbell.org.uk> wrote:
> Thanks to both for replies. There isn't much in the way of error
> messages:
> arcadia:~/xmonad-compile:$ cabal install
> Resolving dependencies...
> cabal: There is no installed version of base
> arcadia:~/xmonad-compile:$

Try it with cabal-dev:

 $ cabal install cabal-dev
 $ cd ~/xmonad-compile
 $ cabal-dev install

If it works, then the problem is related to your ghc user package db,
if it fails, then look at the global package db and see if that looks
wrong.  If that looks right, then something weird is going on, but I
suspect the previous steps will shed more light on the problem.

(It's possible you'll have a similar issue building cabal-dev, but
let's hope not, at least for the moment.)


> That's it.  Quite a few people on Google report this error but no
> solutions seem to exist.
> AC
> --
> Anthony Campbell - ac at acampbell.org.uk
> Microsoft-free zone - Using Debian GNU/Linux
> http://www.acampbell.org.uk - sample my ebooks at
> http://www.smashwords.com/profile/view/acampbell
> _______________________________________________
> xmonad mailing list
> xmonad at haskell.org
> http://www.haskell.org/mailman/listinfo/xmonad

More information about the xmonad mailing list